WiPay
WAPIsv2.0.2Withdrawals

Get Withdrawal Metadata

Retrieve withdrawal metadata including supported banks, identification types with validation patterns, status codes, and withdrawal types. This endpoint is public and requires no authentication. Response is cached for 60 seconds.

GET
/withdrawals/meta

Response Body

curl -X GET "https://tt.wipayfinancial.com/wapi/withdrawals/meta"
{
  "message": "OK",
  "data": {
    "banks": [
      {
        "account": {
          "length": {
            "max": 0,
            "min": 0
          }
        },
        "display_name": "string",
        "logo_url": "http://example.com",
        "name": "string"
      }
    ],
    "ids": [
      {
        "type": "string",
        "regex": "string"
      }
    ],
    "statuses": [
      {
        "value": 0,
        "description": "string",
        "description_alt": "string"
      }
    ],
    "withdrawal_types": [
      "normal",
      "sub_banked",
      "sub_unbanked"
    ]
  }
}